Bug 994053 - publican possibly affected by F-20 unversioned docdir change
publican possibly affected by F-20 unversioned docdir change
Product: Fedora
Classification: Fedora
Component: publican (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
Reported: 2013-08-06 10:04 EDT by Ville Skyttä
Modified: 2013-11-10 02:40 EST (History)
3 users (show)

See Also:
Fixed In Version: publican-3.2.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-10 02:40:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 10:04:24 EDT
publican was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
Comment 1 Fedora End Of Life 2013-09-16 12:22:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
Comment 2 Michele Baldessari 2013-10-15 17:08:22 EDT
F20 (3.2.1-0.f20) is indeed affected:
$ publican 
Can't open publican: No such file or directory at /usr/bin/publican line 430.

When adding symlinks publican-doc-3.2.1 and publican-3.2.1 under /usr/share/doc things are dandy again.
Comment 3 Fedora Update System 2013-10-24 17:28:08 EDT
publican-3.2.1-1.fc20 has been submitted as an update for Fedora 20.
Comment 4 Fedora Update System 2013-10-25 13:45:15 EDT
Package publican-3.2.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing publican-3.2.1-1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-10 02:40:56 EST
publican-3.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.